package com.lz.modules.equipment.dao;
/**
* <p>
*  服务类
* </p>
*
* @author quyixiao
* @since 2020-07-29
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lz.modules.equipment.entity.EquipmentBrand;
import com.lz.modules.equipment.entity.EquipmentBrandReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EquipmentBrandMapper extends BaseMapper<EquipmentBrand> {


	EquipmentBrand selectEquipmentBrandById(@Param("id") Long id);


	Long insertEquipmentBrand(EquipmentBrand equipmentBrand);


	int updateEquipmentBrandById(EquipmentBrand equipmentBrand);


	int updateCoverEquipmentBrandById(EquipmentBrand equipmentBrand);


	int deleteEquipmentBrandById(@Param("id") Long id);


    EquipmentBrand selectEquipmentBrandByTypeBrand(@Param("typeId") Long typeId, @Param("brand") String brand);

    List<EquipmentBrand> selectByCondition(@Param("page") IPage page, @Param("req") EquipmentBrandReq req);
    List<EquipmentBrand> selectEquipmentBrandByTypeAndLikeBrand(@Param("typeId") Long typeId, @Param("brand") String brand);

    List<EquipmentBrand> selectAll();

	List<EquipmentBrand> selectByTypeId(@Param("typeId") Long typeId);

	EquipmentBrand selectByBrand(@Param("brand") String brand);
}